package com.qs.mp.admin.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * @describe 盲票组实体类
 * @auther quanshu
 * @create 2022-03-02 12:25:55
 */
@TableName("mp_ticket_box")
@Data
public class TicketBox implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "box_id" , type = IdType.INPUT)
  private String boxId;

  /**
   * 盲票组标题
   */
  @TableField("title")
  private String title;

  /**
   * 主图url
   */
  @TableField("pic_url")
  private String picUrl;

  /**
   * 盲票类别
   */
  @TableField("category")
  private String category;

  /**
   * 详细描述
   */
  @TableField("description")
  private String description;

  /**
   * 盲票形式（线上或线下）
   */
  @TableField("type")
  private String type;

  /**
   * 盲票张数
   */
  @TableField("quantity")
  private Integer quantity;

  /**
   * 已售盲票张数
   */
  @TableField("sale_qty")
  private Integer saleQty;

  /**
   * 盲票包采购单价
   */
  @TableField("box_price")
  private Integer boxPrice;

  /**
   * 每包盲票张数
   */
  @TableField("pkg_unit")
  private Integer pkgUnit;

  /**
   * 盲票包数
   */
  @TableField("pkg_qty")
  private Integer pkgQty;

  /**
   * 已销售包数
   */
  @TableField("sale_pkg_qty")
  private Integer salePkgQty;

  /**
   * 盲票票面价格
   */
  @TableField("face_price")
  private Integer facePrice;

  /**
   * 盲票销售价格
   */
  @TableField("sale_price")
  private Integer salePrice;

  /**
   * 分佣的销售额百分比
   */
  @TableField("sale_comm_rate")
  private BigDecimal saleCommRate;

  /**
   * 状态，上架/下架
   */
  @TableField("status")
  private String status;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
